SDL_PIXELFLAG(3)

NAME
SDL_PIXELFLAG - A macro to retrieve the flags of an SDL_PixelFormat.

SYNOPSIS
#include <SDL3/SDL_pixels.h>

#define SDL_PIXELFLAG(format)    (((format) >> 28) & 0x0F)

DESCRIPTION
This macro is generally not needed directly by an app, which should use specific tests, like SDL_ISPIXELFORMAT_FOURCC, instead.

MACRO PARAMETERS

format
    an SDL_PixelFormat to check.

RETURN VALUE
Returns the flags of format.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.